Autohide empty groups and sub-groups in "Filtered" Map Composer's legend

2015-06-15 06:29 AM - Alexandre Neto

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21047

Description

While using "Filter legend by map content", at the print composer, it would be nice to also hide the resulting empty groups and

sub-groups.

In the current implementation, if layers are organized in groups or even if layers symbols are grouped (using rule-base symbols), you will

have to manually remove or hide all the empty group and sub-group (layers) names.

Related issues:

Related to QGIS Application - Bug report # 13575: "Add a Legend" adds ALL the... Closed 2015-10-12

Associated revisions

Revision c7834751 - 2016-06-16 04:51 AM - Marco Hugentobler

Legend: leave away empty groups (fix #12969)

Revision 269db146 - 2016-07-06 09:15 AM - Marco Hugentobler

Legend: leave away empty groups (fix #12969)

(cherry-picked from c78347)

History

#1 - 2016-06-15 07:54 PM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in changeset commit:"c7834751ba5e32039efd9c31f6b6b2346ed6023c".
